Posts by writzthecat
-
-
All mounted....
but when i install Plex it's not creating the user plex anymore.....
-
Hi Guys,
today i wanted to do a new, clean install of my OMV.
Now im having the big problem, im not getting Plex to run again.
I installed the latest Plex 1.05 without any problems, but after i set the path for the database and then put the mark on Activate i receive an error message when i click on safe. I did now 3 clean installs, everytime i receives the same error.
Failed to execute command 'omv-mkconf plexmediaserver 2>&1': Plex Media Server is not running (no process found)...
/usr/share/openmediavault/mkconf/plexmediaserver: 51: /usr/share/openmediavault/mkconf/plexmediaserver: dbid: not foundCode
Display MoreFehler #4000: exception 'OMVException' with message 'Failed to execute command 'omv-mkconf plexmediaserver 2>&1': Plex Media Server is not running (no process found)... /usr/share/openmediavault/mkconf/plexmediaserver: 51: /usr/share/openmediavault/mkconf/plexmediaserver: dbid: not found' in /usr/share/openmediavault/engined/module/plexmediaserver.inc:44 Stack trace: #0 /usr/share/openmediavault/engined/rpc/config.inc(180): OMVModulePlexMediaServer->applyConfig() #1 [internal function]: OMVRpcServiceConfig->applyChanges(Array, Array) #2 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array) #3 /usr/share/php/openmediavault/rpcservice.inc(158): OMVRpcServiceAbstract->callMethod('applyChanges', Array, Array) #4 /usr/share/openmediavault/engined/rpc/config.inc(224): OMVRpcServiceAbstract->callMethodBg('applyChanges', Array, Array) #5 [internal function]: OMVRpcServiceConfig->applyChangesBg(Array, Array) #6 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array) #7 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('applyChangesBg', Array, Array) #8 /usr/sbin/omv-engined(501): OMVRpc::exec('Config', 'applyChangesBg', Array, Array, 1) #9 {main}
Any Idea ?
-
So shall i use Clonezilla or omv-firstaid ?
I just want to create a cleansystem, do a full backup of the system drive and then test a few things, without the need to install and configure everything again
-
Hello,
just one short question:
If i do a clean install with OMV and then configure everything ( snapraid, Aufs; shared folders) how can i then do a full backup of just the system driver ?
I found in the repo the addon BACKUP.
The first point there is CLONEZILLA.
Can i do this with clonezilla ?
-
Hi,
all of them work for me.
Im running the Mainboard with Bios 2.50 and have no problems.
Here is my config:
Intel I210: 1x SSD; 2x WD Red 3 TB
Marvel 9172: 2x WD Red 3TB
Marvel9230: 4x WD Red 3 TB -
I too have read some mixed reviews about this board, but it still really interests me.
I'm planning on replacing my Q6600 ATX system with a smaller more efficient unit.
Is it thought that stability is heat related? Since my NAS is in the basement, I'd have no problem putting an active fan on it.
Newegg has all server motherboards on sale for 20% off right now which would put this board at around $320 USD.
Is there a better mITX board from Newegg that someone would recommend?
I know it is pricey... but it seems like a good solution considering I would not have to get separate controller cards, CPU etc.
Dunno if you already decided what to do, but i had buyed the Asrock C2750D4I two weeks agon and even if its overrated for my usage ( NAS, Plex + LifeTV with transcoding to 3 clients) it's a wonderfull piece of hardware. Im running atm 16 GB of Ram and 8 WD Red 3 TB onto the internal controller. All managed by Snapraid.
Till now it's just a dream. For me this board was the only solution to fit into the best case ever, the Silverstone DS380. -
Super !
Dankeschön!
Gibt eine kleine Spende an OMV für die schnelle und tolle Hilfe!
-
Hi David,
here we go:
Code
Display More#! /bin/sh ###### #### ##### ##### ### ### ## ## ## ## ## ## ## ## ## ## ## ##### ## ####### ## ## ## ## ## ## ## ## ## ## ## ###### #### ##### ## ## ## ## R ################################################################ # Title:.......restart.sh # # Author:......Prilly # # Support:.....prilly@speedbox.me # # Date:........18 June 2013 # # Description:.Automaticaly install OScam and support scripts # # Updates OScam to latest or specific version # ################################################################ if ! ps x |grep -v grep |grep -c /usr/bin/oscam >/dev/null then if -f /etc/init.d/oscam then /etc/init.d/oscam start echo `date "+%d/%m/%y %R process was not working"` >> /var/log/oscam/oscam_restart_log else echo `date "+%d/%m/%y %R /etc/init.d/oscam is missing"` >> /var/log/oscam/oscam_restart_log fi # This part above will check if there is NO oscam process running. # And if this condition it truth, it will start it and write to log. # Log entry will contain time stamp and reason of execution (process not working) # If first condition in not truth (oscam was running), go further to next condition. elif tail -8 /var/log/oscam/oscam.log |grep -v grep |grep -c ins40 >/dev/null then /etc/init.d/oscam restart echo `date "+%d/%m/%y %R ins40 error detected"` >> /var/log/oscam/oscam_restart_log elif tail -8 /var/log/oscam/oscam.log |grep -v grep |grep -c trylock >/dev/null then /etc/init.d/oscam restart echo `date "+%d/%m/%y %R trylock error detected"` >> /var/log/oscam/oscam_restart_log # Those 2 conditions will look for 2 common errors in Oscam: "ins40" and "trylock" # If last 8 lines of your oscam.log contain any of those errors, it will restart oscam. # Log entries will include the exact reason of restart. # ins40 error is random error that will keep oscam running but no CWs returned. # trylock is older error that appear if you use CCcam protocol in oscam.server # If oscam passes all conditions and all is OK, it will simply echo "ok" :-) else echo "ok" fi # ENJOY - Prilly
-
Code
Display Moreroot@fritznas:~# cat /etc/init.d/postfix #!/bin/sh -e # Start or stop Postfix # # LaMont Jones <lamont@debian.org> # based on sendmail's init.d script ### BEGIN INIT INFO # Provides: postfix mail-transport-agent # Required-Start: $local_fs $remote_fs $syslog $named $network $time # Required-Stop: $local_fs $remote_fs $syslog $named $network # Should-Start: postgresql mysql clamav-daemon postgrey spamassassin saslauthd dovecot # Should-Stop: postgresql mysql clamav-daemon postgrey spamassassin saslauthd dovecot # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: start and stop the Postfix Mail Transport Agent # Description: postfix is a Mail Transport agent ### END INIT INFO PATH=/bin:/usr/bin:/sbin:/usr/sbin DAEMON=/usr/sbin/postfix NAME=Postfix TZ= unset TZ # Defaults - don't touch, edit /etc/default/postfix SYNC_CHROOT="y" test -f /etc/default/postfix && . /etc/default/postfix test -x $DAEMON && test -f /etc/postfix/main.cf || exit 0 . /lib/lsb/init-functions #DISTRO=$(lsb_release -is 2>/dev/null || echo Debian) enabled_instances() { postmulti -l -a | awk '($3=="y") { print $1}' } running() { INSTANCE="$1" if [ "X$INSTANCE" = X ]; then POSTCONF="postconf" else POSTCONF="postmulti -i $INSTANCE -x postconf" fi queue=$($POSTCONF -h queue_directory 2>/dev/null || echo /var/spool/postfix) if [ -f ${queue}/pid/master.pid ]; then pid=$(sed 's/ //g' ${queue}/pid/master.pid) # what directory does the executable live in. stupid prelink systems. dir=$(ls -l /proc/$pid/exe 2>/dev/null | sed 's/.* -> //; s/\/[^\/]*$//') if [ "X$dir" = "X/usr/lib/postfix" ]; then echo y fi fi } configure_instance() { INSTANCE="$1" if [ "X$INSTANCE" = X ]; then POSTCONF="postconf" else POSTCONF="postmulti -i $INSTANCE -x postconf" fi # if you set myorigin to 'ubuntu.com' or 'debian.org', it's wrong, and annoys the admins of # those domains. See also sender_canonical_maps. MYORIGIN=$($POSTCONF -h myorigin | tr 'A-Z' 'a-z') if [ "X${MYORIGIN#/}" != "X${MYORIGIN}" ]; then MYORIGIN=$(tr 'A-Z' 'a-z' < $MYORIGIN) fi if [ "X$MYORIGIN" = Xubuntu.com ] || [ "X$MYORIGIN" = Xdebian.org ]; then log_failure_msg "Invalid \$myorigin ($MYORIGIN), refusing to start" log_end_msg 1 exit 1 fi config_dir=$($POSTCONF -h config_directory) # see if anything is running chrooted. NEED_CHROOT=$(awk '/^[0-9a-z]/ && ($5 ~ "[-yY]") { print "y"; exit}' ${config_dir}/master.cf) if [ -n "$NEED_CHROOT" ] && [ -n "$SYNC_CHROOT" ]; then # Make sure that the chroot environment is set up correctly. oldumask=$(umask) umask 022 queue_dir=$($POSTCONF -h queue_directory) cd "$queue_dir" # copy the CA path if specified ca_path=$($POSTCONF -h smtp_tls_CApath) case "$ca_path" in '') :;; # no ca_path $queue_dir/*) :;; # skip stuff already in chroot *) if test -d "$ca_path"; then dest_dir="$queue_dir/${ca_path#/}" new=0 if test -d "$dest_dir"; then # write to a new directory ... dest_dir="${dest_dir%/}.NEW" new=1 else mkdir --parent ${dest_dir%/*} fi # handle files in subdirectories (cd "$ca_path" && find . -name '*.pem' -print0 | cpio -0pdL --quiet "$dest_dir") 2>/dev/null || (log_failure_msg failure copying certificates; exit 1) c_rehash "$dest_dir" >/dev/null 2>&1 if [ "$new" = 1 ]; then # and replace the old directory rm -r "${dest_dir%.NEW}" mv "$dest_dir" "${dest_dir%.NEW}" fi fi ;; esac # if there is a CA file, copy it ca_file=$($POSTCONF -h smtp_tls_CAfile) case "$ca_file" in $queue_dir/*) :;; # skip stuff already in chroot '') # no ca_file # or copy the bundle to preserve functionality ca_bundle=/etc/ssl/certs/ca-certificates.crt if [ -f $ca_bundle ]; then mkdir --parent "$queue_dir/${ca_bundle%/*}" cp -L "$ca_bundle" "$queue_dir/${ca_bundle%/*}" fi ;; *) if test -f "$ca_file"; then dest_dir="$queue_dir/${ca_path#/}" mkdir --parent "$dest_dir" cp -L "$ca_file" "$dest_dir" fi ;; esac # if we're using unix:passwd.byname, then we need to add etc/passwd. local_maps=$($POSTCONF -h local_recipient_maps) if [ "X$local_maps" != "X${local_maps#*unix:passwd.byname}" ]; then if [ "X$local_maps" = "X${local_maps#*proxy:unix:passwd.byname}" ]; then sed 's/^\([^:]*\):[^:]*/\1:x/' /etc/passwd > etc/passwd chmod a+r etc/passwd fi fi FILES="etc/localtime etc/services etc/resolv.conf etc/hosts \ etc/nsswitch.conf etc/nss_mdns.config" for file in $FILES; do [ -d ${file%/*} ] || mkdir -p ${file%/*} if [ -f /${file} ]; then rm -f ${file} && cp /${file} ${file}; fi if [ -f ${file} ]; then chmod a+rX ${file}; fi done # ldaps needs this. debian bug 572841 (echo /dev/random; echo /dev/urandom) | cpio -pdL --quiet . 2>/dev/null || true rm -f usr/lib/zoneinfo/localtime mkdir -p usr/lib/zoneinfo ln -sf /etc/localtime usr/lib/zoneinfo/localtime LIBLIST=$(for name in gcc_s nss resolv; do for f in /lib/*/lib${name}*.so* /lib/lib${name}*.so*; do if [ -f "$f" ]; then echo ${f#/}; fi; done; done) if [ -n "$LIBLIST" ]; then for f in "$LIBLIST"; do rm -f "$f" done tar cf - -C / $LIBLIST 2>/dev/null |tar xf - fi umask $oldumask fi } case "$1" in start) log_daemon_msg "Starting Postfix Mail Transport Agent" postfix RET=0 # for all instances that are not already running, handle chroot setup if needed, and start for INSTANCE in $(enabled_instances); do RUNNING=$(running $INSTANCE) if [ "X$RUNNING" = X ]; then configure_instance $INSTANCE CMD="/usr/sbin/postmulti -- -i $INSTANCE -x ${DAEMON}" if ! start-stop-daemon --start --exec $CMD quiet-quick-start; then RET=1 fi fi done log_end_msg $RET ;; stop) log_daemon_msg "Stopping Postfix Mail Transport Agent" postfix RET=0 # for all instances that are not already running, handle chroot setup if needed, and start for INSTANCE in $(enabled_instances); do RUNNING=$(running $INSTANCE) if [ "X$RUNNING" != X ]; then CMD="/usr/sbin/postmulti -i $INSTANCE -x ${DAEMON}" if ! ${CMD} quiet-stop; then RET=1 fi fi done log_end_msg $RET ;; restart) $0 stop $0 start ;; force-reload|reload) log_action_begin_msg "Reloading Postfix configuration" if ${DAEMON} quiet-reload; then log_action_end_msg 0 else log_action_end_msg 1 fi ;; status) ALL=1 ANY=0 # for all instances that are not already running, handle chroot setup if needed, and start for INSTANCE in $(enabled_instances); do RUNNING=$(running $INSTANCE) if [ "X$RUNNING" != X ]; then ANY=1 else ALL=0 fi done # handle the case when postmulti returns *no* configured instances if [ $ANY = 0 ]; then ALL=0 fi if [ $ALL = 1 ]; then log_success_msg "postfix is running" exit 0 elif [ $ANY = 1 ]; then log_success_msg "some postfix instances are running" exit 0 else log_success_msg "postfix is not running" exit 3 fi ;; flush|check|abort) ${DAEMON} $1 ;; *) log_action_msg "Usage: /etc/init.d/postfix {start|stop|restart|reload|flush|check|abort|force-reload|status}" exit 1 ;; esac exit 0
What I've found out so far, when i installed oscam it created a script called "restart.sh" and moved it to /etc/init.d
The script was supposed to check if oscam is running and/or crashed. In case it stoped it would restart oscam.I now deleted the script and the Postfix error message is gone. but normally i guess this script could be pretty usefull for me...
-
Hello,
i just setup a clean OMV. I installed TVHeadend and Oscam without any problems. Then i restarted und installed Snapraid and AUFs. After setting up Snapraid and Aufs i wanted to create a user to get SMB Access.
This is the Error Message i receive, as soon as i want to do any saving:
Code
Display MoreFailed to execute command 'export LANG=C; update-rc.d 'postfix' disable 2>&1': update-rc.d: using dependency based boot sequencing insserv: warning: current start runlevel(s) (empty) of script `postfix' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `postfix' overrides LSB defaults (0 1 6). insserv: warning: current start runlevel(s) (empty) of script `postfix' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `postfix' overrides LSB defaults (0 1 6). insserv: warning: script 'restart.sh' missing LSB tags and overrides insserv: There is a loop between service openmediavault-beep and restart.sh if stopped insserv: loop involving service restart.sh at depth 2 insserv: loop involving service openmediavault-beep at depth 1 insserv: Stopping restart.sh depends on openmediavault-beep and therefore on system facility `$all' which can not be true! insserv: exiting now without changing boot order! update-rc.d: error: insserv rejected the script header
Code
Display MoreFehler #4000: exception 'OMVException' with message 'Failed to execute command 'export LANG=C; update-rc.d 'postfix' disable 2>&1': update-rc.d: using dependency based boot sequencing insserv: warning: current start runlevel(s) (empty) of script `postfix' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `postfix' overrides LSB defaults (0 1 6). insserv: warning: current start runlevel(s) (empty) of script `postfix' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `postfix' overrides LSB defaults (0 1 6). insserv: warning: script 'restart.sh' missing LSB tags and overrides insserv: There is a loop between service openmediavault-beep and restart.sh if stopped insserv: loop involving service restart.sh at depth 2 insserv: loop involving service openmediavault-beep at depth 1 insserv: Stopping restart.sh depends on openmediavault-beep and therefore on system facility `$all' which can not be true! insserv: exiting now without changing boot order! update-rc.d: error: insserv rejected the script header' in /usr/share/php/openmediavault/initscript.inc:90 Stack trace: #0 /usr/share/php/openmediavault/initscript.inc(56): OMVSysVInitScript->update(true) #1 /usr/share/openmediavault/engined/module/postfix.inc(53): OMVSysVInitScript->exec() #2 /usr/share/openmediavault/engined/rpc/config.inc(164): OMVModulePostfix->stopService() #3 [internal function]: OMVRpcServiceConfig->applyChanges(Array, Array) #4 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array) #5 /usr/share/php/openmediavault/rpcservice.inc(158): OMVRpcServiceAbstract->callMethod('applyChanges', Array, Array) #6 /usr/share/openmediavault/engined/rpc/config.inc(224): OMVRpcServiceAbstract->callMethodBg('applyChanges', Array, Array) #7 [internal function]: OMVRpcServiceConfig->applyChangesBg(Array, Array) #8 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array) #9 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('applyChangesBg', Array, Array) #10 /usr/sbin/omv-engined(501): OMVRpc::exec('Config', 'applyChangesBg', Array, Array, 1) #11 {main}
What to do ?
-
Just installed PLEX with your manual and it just works so far and is indexing ...
As i wanted to sync seen status to trakt.tv - as my XBian Pi also does - i am sharing how to install the so called "UnSupportedAppstore" on your OMV:
Codecd /root/ apt-get install unzip wget http://bit.ly/ihqmEu UnSupportedAppstore.bundle.zip unzip UnSupportedAppstore.bundle.zip rm UnSupportedAppstore.bundle.zip chown plex:nogroup UnSupportedAppstore.bundle chmod 755 UnSupportedAppstore.bundle –R
Attention on this line:
Codemv UnSupportedAppstore.bundle /media/<<UUID>>/plexmediaserver/Library/Application\ Support/Plex\ Media\ Server/Plug-ins/
Where <<UUID>> = Your UUID of your Drive
Take care, your path might differ if you did not move your Plex homedir to your RAID. You may find it by typing "find / -name "Plex Media Server".Hi,
did the mentioned steps, anyway i cannot see the UnSupportedApp Store Channel in Plex.
Any idea ?
-
OMG......didn't thought about using WinSCP
Thank you very much!
-
Is there any other possiblity to change files / folders on the root device without using CLI ?
Channels.conf can be changed with plugins. This won't be a problem. It's just easier to edit channels.conf and arrange the channels in a proper position then doing it through the webIF
DAU is german for = Dümmster anzunehmender User; i guess it's similiar to "luser" ?!!
It is possible to change it with SSH and root.
But in my next step i also need to copy other plugins into the VDR Folder and as im not familiar with linux i want avoid copying folders by CLI
-
Hello,
is it possible to access "root" on OMV with FTP ?
I want to change i.E. channels.conf in VDR, but i cannot get access to it.
I first tried it the extplorer, but as i cannot give the correct priviliges to extplorer im not able the change anything on the system device.
is there anyway to get access to it as a DAU ?
-
Uh...im so sorry....im not so familiar with the english language
Found this fred here http://phpbb.openmediavault.or…pic.php?f=3&t=3953#p32961 and now i understood how to create the poolshare etc.
Thank you for your answer and your patience
br
Fritz
-
I tried to create on every hard disk a shared folder called poolshare, like it's written in the Guide.
Or have i missunderstood something ?
"aufs setup:
Create a shared folder for each drive - d1, d2, d3.
Create a shared folder on any drive called poolshare.
Set the bind share as poolshare." -
Hello,
im very new to OMV and tried today to install OMV 1.0 with Snapraid and Aufs.
Unfortunatelly im having a problem in creating the necessary shared folders.
I was following http://omv-extras.org/simple/i…d=guide-aufs-and-snapraid this guide and got stuck when creating the shared folders.
Is there any trick in order to create shared folders with the same names ?
I always receive the following error message: The configuration object is not unique: A shared folder with the given name already exists
I would be very happy if someone could help to solve my problem.
br
Fritz